Subject: Re: [Isis-wg] 56th IETF

From: stefano previdi <[email-masked]>
Date: Mon, 3 Feb 2003 15:59:27 +0100

On Thursday 30 January 2003 20:11, Noguchi Kay wrote:
> Hi all,
> 
> This is Kay.
> 
> 56th IETF agenda items are listed in the IETF web site but thers is no
> slot for IS-IS working group.
> 
> http://ietf.org/meetings/agenda_56.html
> 
> And there are lots of internet-drafts out there so let's have a session
> at 56th IETF. What do you think, all, especially draft authers?
> 
> At least for me, I want to have a slot for my new draft, Protocol Topology
> Support for IS-IS.
> 
> http://ietf.org/internet-drafts/draft-noguchi-isis-protocol-topology-00.txt

don't we have exact same capability in draft-ietf-isis-wg-multi-topology ?

s.
_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: Noguchi Kay <[email-masked]>
Date: Mon, 03 Feb 2003 08:28:27 -0800

Hi Stefano,

This is Kay.

I changed the subject.

> don't we have exact same capability in draft-ietf-isis-wg-multi-topology ?

	It's different.

	In Multi Topology, if you pick the IPv4 network layer protocols for
	standard IS-IS topology(MT ID #0), then all routers MUST support
	IPv4 network layer protocols.

	With my draft, you can mix up IPv4, IPv6 and IPv4/IPv6 routers in a
	single IS-IS domain(standard IS-IS topology).

Thank you,

								kay

---

From: Naiming Shen <[email-masked]>
Date: Mon, 03 Feb 2003 12:10:10 -0800

Kay,

 ] 
 ] > > At least for me, I want to have a slot for my new draft, Protocol Topolo
gy
 ] > > Support for IS-IS.
 ] > > 
 ] > > http://ietf.org/internet-drafts/draft-noguchi-isis-protocol-topology-00.
txt
 ] > 
 ] > don't we have exact same capability in draft-ietf-isis-wg-multi-topology ?
 ] 
 ] 	It's different.
 ] 
 ] 	In Multi Topology, if you pick the IPv4 network layer protocols for
 ] 	standard IS-IS topology(MT ID #0), then all routers MUST support
 ] 	IPv4 network layer protocols.

really? could you point out where in the M-ISIS draft mentioning this
particular feature?

thanks.

 ] 
 ] 	With my draft, you can mix up IPv4, IPv6 and IPv4/IPv6 routers in a
 ] 	single IS-IS domain(standard IS-IS topology).
 ] 
 ] Thank you,
 ] 
 ] 								kay
 ] _______________________________________________
 ] Isis-wg mailing list
 ] [email-masked]
 ] https://www1.ietf.org/mailman/listinfo/isis-wg

- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Mon, 03 Feb 2003 14:02:16 -0800

Hi Naiming,

This is Kay.
 
> really? could you point out where in the M-ISIS draft mentioning this

	From my understanding, to make adjacency with routers that doesn't
	support M-ISIS extension, M-ISIS capable routers MUST paticipate
	in the standard topology, MT ID #0.

	In that case, all the routers MUST support network layer protocols
	for standard topology, in this case IPv4.

	So there is no IPv6 only routers in that IS-IS domain.

Thank you,

								kay

---

From: Naiming Shen <[email-masked]>
Date: Mon, 03 Feb 2003 14:35:37 -0800

Kay,

 ] >  ] 	It's different.
 ] >  ] 
 ] >  ] 	In Multi Topology, if you pick the IPv4 network layer protocols
 for
 ] >  ] 	standard IS-IS topology(MT ID #0), then all routers MUST suppor
t
 ] >  ] 	IPv4 network layer protocols.
 ] > 
 ] > really? could you point out where in the M-ISIS draft mentioning this
 ] > particular feature?
 ] 
 ] 	From my understanding, to make adjacency with routers that doesn't
 ] 	support M-ISIS extension, M-ISIS capable routers MUST paticipate
 ] 	in the standard topology, MT ID #0.

this is a misunderstaind of the M-ISIS mechanism. i'm still wondering
where this assumption comes from. if this is from the M-ISIS draft, please
point this out.

over a LAN media, the draft explicitly requires to establish adjacencies
with all the neighobrs regardless of topology. thus there is absolutely
no requirement to put itself into MTID #0 in order to make adjacency
with legacy isis software.

thanks.

 ] 
 ] 	In that case, all the routers MUST support network layer protocols
 ] 	for standard topology, in this case IPv4.
 ] 
 ] 	So there is no IPv6 only routers in that IS-IS domain.
 ] 
 ] Thank you,
 ] 
 ] 								kay
 ] _______________________________________________
 ] Isis-wg mailing list
 ] [email-masked]
 ] https://www1.ietf.org/mailman/listinfo/isis-wg

- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Mon, 03 Feb 2003 15:11:34 -0800

Hi Namiming,

This is Kay.

> with legacy isis software.

	So then, how to make adjacent between legacy ISIS software which
	only supports IPv4 and M-ISIS capable software which only supports
	IPv6?

	Legacy IS-IS software requires same network layer topology support
	in a area that is mensioned in RFC 1195.

Thank you,

								kay

---

From: Naiming Shen <[email-masked]>
Date: Mon, 03 Feb 2003 15:33:59 -0800

Kay,

 ] 
 ] 	So then, how to make adjacent between legacy ISIS software which
 ] 	only supports IPv4 and M-ISIS capable software which only supports
 ] 	IPv6?
 ] 
 ] 	Legacy IS-IS software requires same network layer topology support
 ] 	in a area that is mensioned in RFC 1195.

on a Lan media, just announce all the possible NLPIDs, but only MT ID for
IPv6. don't put IPv4 IS pnode neighbor TLV in the LSP, so your IPv4
neighbor will fail on backlink check during the SPF, thus will not
use you as a nexthop.

thanks.
- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Tue, 04 Feb 2003 13:53:51 -0800

Hi Naiming,

This is Kay.

> IPv6.

	Two questions for this.

	1) How to get the "all the possible NLPIDs" and what is the value
	   which M-ISIS software only support IPv6 puts in for this case?

	   IPv4 and IPv6 NLPIDs or IPv4 NLPID only?

	2) Some implementation checks if the IP Interface Address TLV is
	   in the same subnetwork or not to form an adjacency as
	   stated in draft-ietf-isis-ip-interoperable-00.txt section 13.

	   How does M-ISIS software which only supports IPv6 get the IPv4
	   subnetwork information for this link?

> don't put IPv4 IS pnode neighbor TLV in the LSP, so your IPv4

	I know OSPFv2 specification has the "link back check" in 
	the spec, RFC 2328 section 16.1(p. 163).

	But I didn't see it in ISO 10589 nor RFC 1195.

	Could you point out where it's documented or is that an
	unwritten spec?

Thank you,

								kay

---

From: Les Ginsberg <[email-masked]>
Date: Tue, 04 Feb 2003 14:21:58 -0800

>         Could you point out where it's documented or is that an

 From ISO 10589:

7.2.8.2 Two-way connectivity check

The Decision Process shall not utilise a link between two Intermediate 
Systems unless both ISs report the link.

     Les

---

From: Naiming Shen <[email-masked]>
Date: Tue, 04 Feb 2003 22:42:21 -0800

Hi Kay,

 ] > on a Lan media, just announce all the possible NLPIDs, but only MT ID for
 ] > IPv6.
 ] 
 ] 	Two questions for this.
 ] 
 ] 	1) How to get the "all the possible NLPIDs" and what is the value
 ] 	   which M-ISIS software only support IPv6 puts in for this case?
 ] 
 ] 	   IPv4 and IPv6 NLPIDs or IPv4 NLPID only?

NLPIDs for both v4 and v6. the adjacency status will be determined by
the MT status.

 ] 
 ] 	2) Some implementation checks if the IP Interface Address TLV is
 ] 	   in the same subnetwork or not to form an adjacency as
 ] 	   stated in draft-ietf-isis-ip-interoperable-00.txt section 13.
 ] 
 ] 	   How does M-ISIS software which only supports IPv6 get the IPv4
 ] 	   subnetwork information for this link?

as you noticed, this is an implementation issue. and get aournd those
implementation, one can assign an ipv4 address on the LAN interface,
and "inject" that ipv4 address in the IIH which is on the same subnet
as your neighbors. as far as i know, there is no ipv6 only routers yet,
get an ipv4 address on the LAN interface does not mean the router
need to switch ipv4 traffic, it can still be a ipv6 only M-ISIS node.

for any new routing scheme, we can not expect a flag day to upgrage
all the nodes with new software. any scheme HAS to co-exist with the
current/legacy software. new software has the flexibility to do "tricks"
to work with the old software.

going forward, as i mentioned in my previous email post, it's better
to get rid of the restriction on setting up LAN adjacencies. just set
up them all, to use them or not, it's a local issue(e.g. if the node does
not like neighbor's IP subnet, then don't put a pnode tlv in it's lsp).

Les has answered the below question.

thanks.

 ] 
 ] > don't put IPv4 IS pnode neighbor TLV in the LSP, so your IPv4
 ] > neighbor will fail on backlink check during the SPF, thus will not
 ] > use you as a nexthop.
 ] 
 ] 	I know OSPFv2 specification has the "link back check" in 
 ] 	the spec, RFC 2328 section 16.1(p. 163).
 ] 
 ] 	But I didn't see it in ISO 10589 nor RFC 1195.
 ] 
 ] 	Could you point out where it's documented or is that an
 ] 	unwritten spec?

- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Wed, 05 Feb 2003 12:08:54 -0800

Hi Naimimg,

This is Kay.

> NLPIDs for both v4 and v6. the adjacency status will be determined by

	But how to adjacent with legacy IPv4/IPv6 IS-IS software which
	enables IPv4 routing but disables IPv6 routing.

	In this case, legacy software means the software doesn't support
	M-ISIS capability.

	That kind of legacy software doesn't allow to make adjacent
	with neighbors which contains IPv4 and IPv6 NLPIDs in IIH
	Protocols Supported TLV.

Thank you,

								kay

---

From: Naiming Shen <[email-masked]>
Date: Wed, 05 Feb 2003 14:16:38 -0800

Kay,

 ] 
 ] >  ] > on a Lan media, just announce all the possible NLPIDs, but only MT ID
 for
 ] >  ] > IPv6.
 ] >  ] 
 ] >  ] 	Two questions for this.
 ] >  ] 
 ] >  ] 	1) How to get the "all the possible NLPIDs" and what is the val
ue
 ] >  ] 	   which M-ISIS software only support IPv6 puts in for this cas
e?
 ] >  ] 
 ] >  ] 	   IPv4 and IPv6 NLPIDs or IPv4 NLPID only?
 ] > 
 ] > NLPIDs for both v4 and v6. the adjacency status will be determined by
 ] > the MT status.
 ] 
 ] 	But how to adjacent with legacy IPv4/IPv6 IS-IS software which
 ] 	enables IPv4 routing but disables IPv6 routing.
 ] 
 ] 	In this case, legacy software means the software doesn't support
 ] 	M-ISIS capability.
 ] 
 ] 	That kind of legacy software doesn't allow to make adjacent
 ] 	with neighbors which contains IPv4 and IPv6 NLPIDs in IIH
 ] 	Protocols Supported TLV.

do you have information on which vendor's isis software actually does
that (not forming adjacency because neighbor supports more than my
own nlpid) ?

thanks.

 ] 
 ] Thank you,
 ] 
 ] 								kay

- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Thu, 06 Feb 2003 12:36:26 -0800

Hi Naiming,

This is Kay.

> that (not forming adjacency because neighbor supports more than my

	Before the implementation topic, could you point out
	which spec states it and how?

Thank you,

								kay

---

From: Naiming Shen <[email-masked]>
Date: Thu, 06 Feb 2003 17:09:57 -0800

Hi Kay,

This is Naiming.

 ] >  ] 	That kind of legacy software doesn't allow to make adjacent
 ] >  ] 	with neighbors which contains IPv4 and IPv6 NLPIDs in IIH
 ] >  ] 	Protocols Supported TLV.
 ] > 
 ] > do you have information on which vendor's isis software actually does
 ] > that (not forming adjacency because neighbor supports more than my
 ] > own nlpid) ?
 ] 
 ] 	Before the implementation topic, could you point out
 ] 	which spec states it and how?
 ] 

we are talking about backwards compatibility, so we are only dealing with
existing systems. the goal is to solve real network problems(how to fit a
new routing scheme into an existing network), not those theoretical ones.
as far as i know of, dominant isis software out there does not care at
all about some extra nlpids in hellos. if one has to document it, then it
probably should be included in the "interoperability" drafts.

it's "extremely" normal to do something the specs didn't state, and to
ignore something the specs explicitly state. it only reflects the
specs often need updates.

thanks.
- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Wed, 12 Feb 2003 10:57:22 -0800

Hi Naiming,

This is Kay.

> all about some extra nlpids in hellos.

	Did you check the legacy IPv4/IPv6 IS-IS software which only enables
	IPv4 routing?

	Does that software allowed to receive IIH packet which contains
	IPv4 "and" IPv6 NLPID in the Protocols Supported TLV?

Thank you,

								kay

---

From: Noguchi Kay <[email-masked]>
Date: Fri, 14 Feb 2003 14:12:01 -0800

Hi Naiming,

This is Kay.

> and "inject" that ipv4 address in the IIH which is on the same subnet

	So M-ISIS routers which follows draft-ietf-isis-ip-interoperable-00.txt
	section 13 MUST advertise IP Interface Address TLV
	if they want to make adjacent with legacy IPv4 routers on a LAN
	even if M-ISIS routers only support IPv6 IS-IS routing.

	Is this correct?

> need to switch ipv4 traffic, it can still be a ipv6 only M-ISIS node.

	I don't think this is a good assumption.

	We are talking about "IPv6 only" IS-IS routers so we don't know
	the routers has IPv4 address on the interface or not.

	If they don't have the IPv4 address on the interface, then
	how to encode the IP Interface Address TLV?

								kay

---

From: Naiming Shen <[email-masked]>
Date: Fri, 14 Feb 2003 15:01:16 -0800

] 
 ] 	So M-ISIS routers which follows draft-ietf-isis-ip-interoperable-00.txt
 ] 	section 13 MUST advertise IP Interface Address TLV
 ] 	if they want to make adjacent with legacy IPv4 routers on a LAN
 ] 	even if M-ISIS routers only support IPv6 IS-IS routing.
 ] 
 ] 	Is this correct?

correct. in specific, it's needed for those legacy IPv4 routers check
on those subnets(not all the legacy IPv4 routers do that).

 ] > as your neighbors. as far as i know, there is no ipv6 only routers yet,
 ] > get an ipv4 address on the LAN interface does not mean the router
 ] > need to switch ipv4 traffic, it can still be a ipv6 only M-ISIS node.
 ] 
 ] 	I don't think this is a good assumption.

please give one example of an existing "ipv6 only" router. we are talking
about transition, and legacy software does not stay forever. by the time
we see this kind of "ipv6 only" router widely used, we may not find those
legacy software based ipv4 routers around in networks.

but if you have to insert the "ipv6 only" router into the LAN which has a
mix of ip protocols, then:

 - have a knob in isis to maually inject an IPv4 address in the LAN IIH,
   only isis knows about this address internally. it's just software.
   ipv6 RFCs do not say it's illegal to type an ipv4 address inside
   an ipv6 only router.

 - upgrade the IPv4 only router software not to check the ipv4 subnet for
   ipv6 only neighbor, so it is not a "legacy" anymore.

 - don't put it into that LAN, ethernet is so cheap, setup another LAN.

thanks.

 ] 
 ] 	We are talking about "IPv6 only" IS-IS routers so we don't know
 ] 	the routers has IPv4 address on the interface or not.
 ] 
 ] 	If they don't have the IPv4 address on the interface, then
 ] 	how to encode the IP Interface Address TLV?
 ] 
 ] > for any new routing scheme, we can not expect a flag day to upgrage
 ] > all the nodes with new software. any scheme HAS to co-exist with the
 ] > current/legacy software. new software has the flexibility to do "tricks"
 ] > to work with the old software.

- Naiming

---

From: Noguchi Kay <[email-masked]>
Date: Fri, 14 Feb 2003 15:30:28 -0800

Hi Naiming,

This is Kay.

>    ipv6 only neighbor, so it is not a "legacy" anymore.

	How to know the neighbor is IPv6 only router?

	You mentioned that M-ISIS router puts IPv4 "and" IPv6 NLPID in
	the Protocols Supported TLV.

								kay

---

From: Naiming Shen <[email-masked]>
Date: Fri, 14 Feb 2003 15:57:31 -0800

] >  - upgrade the IPv4 only router software not to check the ipv4 subnet for
 ] >    ipv6 only neighbor, so it is not a "legacy" anymore.
 ] 
 ] 	How to know the neighbor is IPv6 only router?
 ] 
 ] 	You mentioned that M-ISIS router puts IPv4 "and" IPv6 NLPID in
 ] 	the Protocols Supported TLV.

if i'm the developer for this new ipv4 only router, i'll just put a
knob, "disable ip-subnet-check", it's up to the operators to issue that.

if you want it automatically, then as soon as you see the neighbor is
not ipv4 only, just don't check it.

hope this helps.

thanks.
- Naiming